#sticked_header {
    position: sticky;
    top: 0;
    width: 100%;
    height: max-content;

    padding: 3rem;

    z-index: 10;
    flex-shrink: 0;

    isolation: isolate;

    opacity: 0;
    transform: translateY(-1.5rem);
    transition: opacity 0.35s ease-in-out, transform 0.35s ease-in-out;
}

#sticked_header.Show {
    opacity: 1;
    transform: translateY(0);
}

#sticked_header::before {
    content: '';
    position: absolute;
    inset: 0;

    background: rgb(var(--bg-dark), 85%);
    backdrop-filter: blur(1.2rem);
    border-bottom: 0.2rem solid rgb(var(--white), 2%);

    opacity: 0;
    transition: opacity 0.3s ease;

    z-index: -1;
}

#sticked_header.Scrolled::before {
    opacity: 1;
}

#sticked_header .navigation_content {
    position: relative;
    width: 100%;
    height: 4rem;
}

#sticked_header .navigation_content .left {
    position: absolute;
    top: 0;
    left: 0;
    width: max-content;
    height: max-content;
}

#sticked_header .navigation_content .left .logo {
    position: relative;
    top: -0.5rem;
    content: url(/img/Logos/LogoFull.png);
    min-height: 6rem;
    max-height: 6rem;
    width: auto;
}

/*  */

#sticked_header .navigation_content .mid {
    position: absolute;
    top: 0;
    width: max-content;
    height: max-content;

    gap: 2rem;
}

#sticked_header .navigation_content .mid .nav_item {
    position: relative;
    width: max-content;
    height: max-content;

    padding: 1rem 1.2rem;
    gap: 1rem;

    background: rgb(var(--main-color), 0%);
    border-radius: 0.6rem;

    transition: background 0.2s ease-in-out;
}

#sticked_header .navigation_content .mid .nav_item a {
    text-decoration: none !important;
    color: inherit !important;
}

#sticked_header .navigation_content .mid .nav_item:hover,
#sticked_header .navigation_content .mid .nav_item.Selected {
    background: rgb(var(--main-color));
}

#sticked_header .navigation_content .mid .nav_item:hover .icon,
#sticked_header .navigation_content .mid .nav_item.Selected .icon {
    opacity: 1;
}

#sticked_header .navigation_content .mid .nav_item .icon {
    min-height: 1.5rem;
    max-height: 1.5rem;
    width: auto;

    opacity: 0.5;
    transition: opacity 0.2s ease-in-out;
}

#sticked_header .navigation_content .mid #home_page_redirect .icon {
    content: var(--navigation-icon-home);
}

#sticked_header .navigation_content .mid #rules_page_redirect .icon {
    content: var(--navigation-icon-rules);
}

#sticked_header .navigation_content .mid #factionrules_page_redirect .icon {
    content: var(--navigation-icon-factionrules);
}

#sticked_header .navigation_content .mid #codeoflaw_page_redirect .icon {
    content: var(--navigation-icon-codeoflaw);
}

#sticked_header .navigation_content .mid .nav_item .label {
    font-family: "Sora-SemiBold";
    color: rgb(var(--white));
    font-size: 1.5rem;
    opacity: 0.5;
    transition: opacity 0.2s ease-in-out, color 0.2s ease-in-out;
}

#sticked_header .navigation_content .mid .nav_item:hover .label,
#sticked_header .navigation_content .mid .nav_item.Selected .label {
    color: rgb(var(--white));
    opacity: 1;
}

#sticked_header .navigation_content .mid .nav_item .line {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 0.1rem;

    background: rgb(var(--main-color));

    opacity: 0;
    transform: opacity 0.2s ease-in-out;
}

#sticked_header .navigation_content .mid .nav_item.Selected .line {
    opacity: 1;
}

/*  */

#sticked_header .navigation_content .right {
    position: absolute;
    top: 0;
    right: 0;
    width: max-content;
    height: max-content;
}

#sticked_header .navigation_content .right .icon {
    position: relative;
    top: 1rem;

    min-height: 1.8rem;
    max-height: 1.8rem;
    width: auto;

    opacity: 0.5;
    transition: opacity 0.2s ease-in-out;
}

#sticked_header .navigation_content .right #discord_url_redirect {
    content: url(/img/Icons/Discord.svg);
}

#sticked_header .navigation_content .right #discord_url_redirect:hover {
    opacity: 1;
}

@media (max-width: 800px) {

    #sticked_header {
        padding: 2rem 1.5rem;
    }

    #sticked_header .navigation_content {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1.4rem;

        height: auto;
    }

    #sticked_header .navigation_content .left,
    #sticked_header .navigation_content .mid,
    #sticked_header .navigation_content .right {
        position: static;
        width: max-content;
        display: flex;
        justify-content: center;
    }

    #sticked_header .navigation_content .left .logo {
        top: 0;
        max-height: 5rem;
    }

    #sticked_header .navigation_content .mid {
        flex-direction: column;
        gap: 0.8rem;
    }

    #sticked_header .navigation_content .mid .nav_item {
        width: max-content;
        justify-content: center;
        padding: 1rem 2rem;
    }

    #sticked_header .navigation_content .mid .nav_item .label {
        font-size: 1.4rem;
        opacity: 1;
    }

    #sticked_header .navigation_content .right .icon {
        top: 0;
        margin-top: 0.5rem;
    }
}